Web lists-archives.com

Re: FTBFS with parallel make




Jeremy Bicha:
> On Fri, Jan 26, 2018 at 9:38 AM, Andrey Rahmatullin <wrar@xxxxxxxxxx> wrote:
>> I wonder what percent of the packages has compat < 10.
> 
> Well start with
> https://lintian.debian.org/tags/package-uses-deprecated-debhelper-compat-version.html
> 
> Thanks,
> Jeremy Bicha
> 

For the curious:

 * Deprecated compat levels: ~5300 packages
 * Compat 9: ~14800 packages
 * Compat 10: ~6700 packages
 * Compat 11: Unknown (but at most 1132)

Please keep in mind that compat 9 and earlier could use --parallel (and
compat 10+ can still use --no-parallel or --max-parallel), so these
numbers are at best rough guesstimates for the number of packages with
parallel enabled/disabled.

Thanks,
~Niels

Data sources:
 *
https://lintian.debian.org/tags/package-uses-deprecated-debhelper-compat-version.html
 *
https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html